GET
View a vendor pickup point
Company space For: Buyer, Manager · Permission: vendor_pickup_points.retrieve Part of Manage suppliers.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

vendor
string
required

Identifier of the supplier.

pickupPoint
string
required

Identifier of the pickup point.

Response

200 - application/json

VendorPickupPointResource

id
string
required

Identifier of the pickup point (27-character KSUID).

vendor_id
string
required

Identifier of the supplier the pickup point belongs to.

name
string
required

Name of the pickup point.

address
string | null
required

Address of the pickup point.

latitude
required

Latitude in decimal degrees, serialized with up to seven decimals.

longitude
required

Longitude in decimal degrees, serialized with up to seven decimals.

is_active
boolean
required

Whether the pickup point can be used.

created_at
string<date-time>
required

Date and time the record was created (ISO 8601, UTC).

updated_at
string<date-time>
required

Date and time the record was last changed (ISO 8601, UTC).